%define	oname   RasMol

Name:           rasmol
Version:        2.7.3
Release:        %mkrel 13
Summary:        Molecular Graphics Visualization Tool
License:        GPLv2
Group:          Sciences/Chemistry
URL:            http://www.bernstein-plus-sons.com/software/rasmol/
Source0:        http://www.rasmol.org/software/%{oname}_%{version}.tar.gz
Source1:        rasmol16.png
Source2:        rasmol32.png
Source3:        rasmol48.png

BuildRequires:  gccmakedep
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)

Provides:       RasMol

%description
RasMol is an X Window System tool intended for the visualization of
proteins and nucleic acids. It reads Brookhaven Protein Database (PDB)
files and interactively renders them in a variety of formats on either
an 8-bit or 24/32-bit color display.

%prep
%autosetup -n %{oname}_%{version}

rm -rf doc/RCS
find ./ -name ".DS_Store" -exec rm -f {} \;
chmod 644 NOTICE PROJECTS *.html *.shtml *.txt html_graphics/* data/* doc/*
# This script is mac-specific, we don't need it
rm -f data/RSML_fixup.csh

%build
pushd src
xmkmf -a
%make_build EXTRA_LDOPTIONS="%{ldflags}" CCOPTIONS="%{optflags} -std=gnu17"
popd

%install
make -C src "DESTDIR=%{buildroot}" install
make -C src "DESTDIR=%{buildroot}" install.man

cp -a data %{buildroot}%{_libdir}/%{name}

install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{oname}
Comment=Molecular Graphics Visualization Tool
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Science;Chemistry;
EOF

%files
%doc NOTICE PROJECTS TODO* README* RASLIC ChangeLog.* history.html index.shtml html_graphics
%doc doc/*.gz doc/*.html doc/*.hlp
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Thu May 22 2025 daviddavid <daviddavid> 2.7.3-13.mga10
+ Revision: 2185781
- fix build with gcc 15 using -std=gnu17

* Mon Mar 21 2022 umeabot <umeabot> 2.7.3-12.mga9
+ Revision: 1810884
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.7.3-11.mga8
+ Revision: 1516361
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.7.3-10.mga7
+ Revision: 1300781
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 2.7.3-9.mga6
+ Revision: 934802
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7.3-8.mga5
+ Revision: 741411
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 luigiwalser <luigiwalser> 2.7.3-7.mga5
+ Revision: 709484
- fix errors in spec file
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.7.3-6.mga4
+ Revision: 517923
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.7.3-5.mga3
+ Revision: 380207
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ tv <tv>
- description != AUTHORS file

* Thu Sep 29 2011 fwang <fwang> 2.7.3-4.mga2
+ Revision: 150220
- tighten br

* Fri May 13 2011 dmorgan <dmorgan> 2.7.3-4.mga1
+ Revision: 97811
- imported package rasmol


* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.7.3-4mdv2010.0
+ Revision: 433058
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.7.3-3mdv2009.0
+ Revision: 242533
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 20 2007 Stéphane Téletchéa <steletch@mandriva.org> 2.7.3-1mdv2008.0
+ Revision: 53724
- New revision
  Fixes Bug 31897 (rasmol binary not available)


* Sat Nov 05 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.7.2.1.1-5mdk
- Fix BuildRequires
- %%{1}mdv2007.1

* Wed Apr 28 2004 Bruno VASTA <bruno.vasta@infodia.fr> 2.7.2.1.1-4mdk
- new icons

* Wed Apr 28 2004 Bruno VASTA <bruno.vasta@infodia.fr> 2.7.2.1.1-3mdk
- an xterm runs rasmol, the rasmol console works

* Fri Apr 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.7.2.1.1-2mdk
- in bindir link

* Fri Apr 16 2004 Bruno VASTA <bruno.vasta@infodia.fr> 2.7.2.1.1-1mdk
- initial mdk package for RasMol 2.7.2.1.1

